mirrormagic (3.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Jul 2023 10:44:40 +0200

mirrormagic (3.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - change RO_GAME_DIR to BASE_PATH (i.e. /usr/share/games/mirrormagic)
    - RW_GAME_DIR is no longer used (games scores are now written to
      ~/.mirrormagic in user homedir)
  * update debian/watch to specify linux in tarball name (not version)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Dec 2022 15:49:38 +0100

mirrormagic (3.0.0+dfsg2-2) unstable; urgency=medium

  * apply -fcommon build flag via DEB_flag_MAINT_APPEND to support
    build on gcc-10 (handle redefinitions of common variables).
    Closes: #957544.
  * mark mirrormagic-data as Multi-Arch: foreign
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13
    [Build-Depends: debhelper-compat (= 13)]
  * remove package handling of old v1.3 highscore files
    (non-UTF-8 translations were upsetting lintian)

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 Jul 2020 16:39:52 +0800

mirrormagic (3.0.0+dfsg2-1) unstable; urgency=medium

  * New upstream version. Closes: #906262.
    - README file is now dropped. Closes: #160266.
    - can drop all debian/patches
    - Build-Depends: libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
    - includes network play (Build-Depends: libsdl2-net-dev)
  * create debian/watch, repacking for dfsg.
  * add Files-Excluded to debian/copyright:
    - music/*/*. Copyright in upstream music files is uncertain, in
      fact mod.lk strings say "please don't use".
    - mirrormagic. We'll repack the source tarball to remove music
      anyway, so might as well drop upstream's binary executable at
      the same time.
    - lib/*. Don't include libSDL2 and other library files in source
      tarball.
  * use debian patch dfsg_music_empty_dir.patch to provide empty music
    directory
  * debian/control: update Vcs tags to salsa.debian.org
  * drop high scores permissions fix from mirrormagic.postinst
    (all installations should now be fixed at this point, and chmod -R
    presents a security risk)
  * mirrormagic-data: remove redundant Depends: ${shlibs:Depends}
  * Standards-Version: 4.2.1
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Sep 2018 02:36:26 +0800

mirrormagic (2.0.2.0deb1-13) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * Fix /var/games/mirrormagic permissions at build time only for
    binary (arch-dependent) build. Thanks Santiago Vila. Closes: #806077.
  * Debian source now hosted on git.debian.org (under collab-main),
    http://anonscm.debian.org/git/collab-maint/mirrormagic.git/

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Jul 2016 16:08:52 +0800

mirrormagic (2.0.2.0deb1-12) unstable; urgency=medium

  * enable build under gcc 5. mirrormagic predates the GNU11 standard
    for gcc, so build with -std=gnu89 (patch 10-gcc5.patch). Thanks
    Thavatchai Makphaibulchoke. Closes: #778008.
  * Convert Debian packaging to simple dh (debhelper>9) with source
    format 3.0 (quilt).
  * Apply hardening flags and harden code (patches
    11-harden_buildflags.patch and 30_harden_code.patch)
  * Build-Depends: libxt-dev (for X11/Intrinsic.h, used in libgame/x11.h)
  * Standards-Version: 3.9.6

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Jul 2015 21:21:49 +0800

mirrormagic (2.0.2.0deb1-11) unstable; urgency=low

  * New Brazilian (Portuguese) debconf translation.
    Thanks Adriano Rafael Gomes. Closes: #693383.

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Nov 2012 16:18:46 +1100

mirrormagic (2.0.2.0deb1-10) unstable; urgency=low

  * Add new debconf translations and refresh old ones.
    Thanks Christian Perrier.
    - Danish translation. thanks Joe Dalton. Closes: #628227.
    - Polish translation, thanks Michał Kułach. Closes: #658605.
    - Italian translation, thanks Beatrice Torracca. Closes: #659142.
  * Standards-Version: 3.9.3.

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Mar 2012 23:32:16 +1100

mirrormagic (2.0.2.0deb1-9) unstable; urgency=low

  * Russian debconf translation. Спасибо Юрию Козлову. Closes: #541755.
  * Deleted dh_desktop from debian/rules (now deprecated).
  * Standards-Version: 3.8.3.

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Sep 2009 14:56:58 +1000

mirrormagic (2.0.2.0deb1-8) unstable; urgency=low

  * In src/libgame/gadgets.c, check for 64bit when handling
    GDI_TYPE,GDI_STATE in HandleGadgetTags() and use int instead of
    unsigned long.  Should probably really be uint32_t but I'll leave
    that decision to upstream. Thanks Pelle Nilsson (and son).
    64bit check borrowed from bug #496863.  Closes: #498912.
  * Add desktop file. Thanks Daniel Dickinson. Closes: #478924.
  * Create icon (mirrormagic.xpm) from MirrorScreen.pcx.
  * Standards-Version: 3.8.0.
  * Add Holger's copyright tag to debian/copyright to keep lintian happy.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Feb 2009 01:03:44 +1100

mirrormagic (2.0.2.0deb1-7) unstable; urgency=low

  * Add Portuguese debconf translation. Closes: #423689.
  * Standards version 3.7.3.
  * Create debian/compat (for debhelper v6) (don't use DH_COMPAT in
    debian/rules).
  * Create explicit reference to usr/share/games/mirrormagic/music in
    debian/mirrormagic-data.dirs and remove reference in .install to
    underline that empty music directory is to be installed.  Music
    files were declared non-free and removed in 2.0.2.0deb1-1, but
    might be reinstated by hand (or free replacements created).

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Apr 2008 22:46:07 +1000

mirrormagic (2.0.2.0deb1-6) unstable; urgency=low

  * Removing circular dependency by popular demand.  Closes: #339905.
  * Consequently mirrormagic-data needs it own near-empty doc directory.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Jan 2006 14:26:05 +1100

mirrormagic (2.0.2.0deb1-5) unstable; urgency=low

  * Czech debconf translation. Thanks Miroslav Kure. Closes: #317666.
  * Swedish translation thanks to Daniel Nylander. Closes: #332361.
  * Updated build-dependency from xlibs-dev to libx11-dev.
  * Standards version 3.6.2.

 -- Drew Parsons <dparsons@debian.org>  Thu,  6 Oct 2005 12:12:48 +1000

mirrormagic (2.0.2.0deb1-4) unstable; urgency=low

  * Vietnamese debconf translation. Thanks, Clytie Siddall. Closes: #312790.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jun 2005 22:04:39 +1000

mirrormagic (2.0.2.0deb1-3) unstable; urgency=low

  * Commented out joystick[] in main.h. It's not used, and it prevents gcc4
    compiling on amd64.  Funny, what was it doing there? 
    Thanks Andreas Jochens. Closes: #300255.

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Mar 2005 10:08:08 +1100

mirrormagic (2.0.2.0deb1-2) unstable; urgency=medium

  * Added Japanese debconf translation. Thanks, Hideki Yamane.
    Closes: #288038.
  * Restored permissions (root:games, setgid) to /usr/games/mirrormagic,
    /var/games/mirrormagic.
  * Use DH_COMPAT=4 in debian/rules, create mirrormagic-data deb in
    build-indep.  Closes: #241065.

 -- Drew Parsons <dparsons@debian.org>  Sat,  1 Jan 2005 20:52:46 +1100

mirrormagic (2.0.2.0deb1-1) unstable; urgency=low

  * Debian revision of upstream source: removed the five music files
    from the music directory, until clear legal permission for
    distributing those sound loops can be obtained. You can add your own
    sound loops to the music directory if you like.  Closes: #229747.
  * Converted changelog from iso-8859-1 to UTF-8.

 -- Drew Parsons <dparsons@debian.org>  Sun,  8 Aug 2004 12:07:46 +1000

mirrormagic (2.0.2-5) unstable; urgency=low

  * Added Conflicts/Replaces: mirrormagic (<<2.0.2-4) to control entry for
    mirrormagic-data. Closes: #237528, #237530.
  * Added Catalan debconf translation. Closes: #236661.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Mar 2004 22:39:46 +1100

mirrormagic (2.0.2-4) unstable; urgency=low

  * Updated the French debconf translation.  Closes: #233502.
  * Split data files into mirrormagic-data.  Closes: #233414.
  * Please be advised that some Dreadful Allegations have been raised
    concerning the legality of distributing music samples used in the game
    (see bug #229747).  We are working with the upstream author to resolve
    these questions, but there is a chance mirrormagic will have to be pulled
    from the Debian archives ;(

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Feb 2004 17:31:39 +1100

mirrormagic (2.0.2-3) unstable; urgency=low

  * Added Tim Vandermeersch's Dutch debconf translation to debian/po.
    Closes: #208416.
  * Standards version 3.6.1.

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Sep 2003 17:37:47 +1000

mirrormagic (2.0.2-2) unstable; urgency=low

  * Better off Build-Depending on debhelper (>= 4.1.16), not on po-debconf.
  * Tidied up some silly end-of-line spaces in debian/control.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Jun 2003 01:03:12 +1000

mirrormagic (2.0.2-1) unstable; urgency=low

  * New upstream version.
  * Incorporates patches used against 2.0.1.
  * Added ${misc:Depends} to Depends: in debian/control.
  * Updated debconf template translations by running debconf-gettextize to
    create po files, and Build-Depending on po-debconf.
  * Standards version 3.5.10.

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Jun 2003 14:38:14 +1000

mirrormagic (2.0.1-4) unstable; urgency=low

  * Applied upstream patch to fix unsynchronised rotating polarisers.
    Closes: #160176.
  * Game files are architecture independent (sounds, pictures, level data),
    so move from /usr/lib/games/mirrormagic to /usr/share/games/mirrormagic
    (variable RO_GAME_DIR in Makefile).

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Dec 2002 15:10:42 +1100

mirrormagic (2.0.1-3) unstable; urgency=low

  * Added empty line between paragraphs in description to prevent them
    running in together.  Closes: #155809.
  * Standards version 3.5.8.

 -- Drew Parsons <dparsons@debian.org>  Sun,  8 Dec 2002 10:38:31 +1100

mirrormagic (2.0.1-2) unstable; urgency=low

  * Added laurb's French debconf template.
    Separating existing Spanish and German templates into separate files.
    Closes: #139913.
  * New standards version: 3.5.6.1.

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Mar 2002 13:41:28 +1100

mirrormagic (2.0.1-1) unstable; urgency=low

  * New upstream version (mirrormagic binary removed from upstream tarball).
  * Applies Debian patches (Closes: #106522).

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Mar 2002 11:50:19 +1100

mirrormagic (2.0.0deb1-1) unstable; urgency=low

  * Removed mirrormagic binary from mirrormagic-2.0.0.orig.tar.gz.
    Closes: #116045.
  * Concerning permissions of high score files and directories (Bug #106522):
    - Change umask in createDirectory() (src/libgame/misc.c) to not
      mask out group permissions defined in USERDATA_DIR_MODE.
    - Make changes to USERDATA_DIR_MODE consistent in both src/files.c and
      src/libgame/misc.c (upstream defines it twice! ;/ )
    - Fix up permissions from older versions in postinst.
    - Fixes Bug #106522, but I don't want to close it without an upstream fix.

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Feb 2002 03:45:46 +1100

mirrormagic (2.0.0-11) unstable; urgency=low

  * Added versions to libsdl1.2 build dependencies. Closes: #115936.

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Oct 2001 00:39:21 +1000

mirrormagic (2.0.0-10) unstable; urgency=low

  * Recompiled for libsdl1.2debian (libsdl1.2 v1.2.2-3.1).

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Oct 2001 00:07:29 +1000

mirrormagic (2.0.0-9) unstable; urgency=low

  * Changed LEVEL_PERMS in src/file.c to be read-only to "others".
    Closes: #106522.
  * New standards version: 3.5.6.0.

 -- Drew Parsons <dparsons@debian.org>  Thu,  2 Aug 2001 22:23:16 +1000

mirrormagic (2.0.0-8) unstable; urgency=low

  * Applied Sebastian Feltel's German translation of the debconf template.
    Closes: #95242.
  * Compiled against libsdl1.2.
  * New standards version: 3.5.4.0 (not that it makes any difference).

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Apr 2001 23:32:10 +1000

mirrormagic (2.0.0-7) unstable; urgency=low

  * Used root:games instead of root.games for chown in debian/rules
    (see Bug #88340).
  * Edited the Debian package description.  Closes: Bug#88291.
  * Applied David Roundy's patch to gadgets.c, which should make
    mirrormagic available for powerpc.
  * Applied Carlos Valdivia Yagüe's Spanish translation of the debconf
    template. Closes: #92322.

 -- Drew Parsons <dparsons@debian.org>  Tue,  3 Apr 2001 22:27:09 +1000

mirrormagic (2.0.0-6) unstable; urgency=low

  * Applied Kalle Olavi Niemitalo's patch to fix sound handling when sound
    card is absent or unrecognised.  Closes: #85499.
  * By the way, Kalle points out that the Wiz is not lost after all!
    Gregor McDuffin lives...click the dot next to "Level" and look under
    "Classic Original Games" for Mindbender :)
  * Forgot the colon in the closes-bug statement.  Goes to show.
    Closes: #87361 (really).
    
 -- Drew Parsons <dparsons@debian.org>  Thu,  1 Mar 2001 23:34:32 +1100

mirrormagic (2.0.0-5) unstable; urgency=low

  * Added libsdl-*-dev libraries to Build-Depends.  Closes: #87351.
  * Changed debconf template from select to boolean.  Adjusted wording of
    question accordingly.  Closes: #87359.
  * Added --ignore-fail-on-non-empty to rmdir.  Closes #87361.

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2001 00:29:46 +1100

mirrormagic (2.0.0-4) unstable; urgency=low

  * Should depend on debconf, not pre-depend.  Closes: #87345.

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Feb 2001 16:01:38 +1100

mirrormagic (2.0.0-3) unstable; urgency=low

  * Changed X build-depends to xlibs-dev.  Closes: #85870.
  * Created debconf question asking whether or not old highscores
    (/var/lib/games/mirrormagic) should be deleted.  Closes: #85541.

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Feb 2001 01:59:11 +1100

mirrormagic (2.0.0-2) unstable; urgency=low

  * High scores should be in /var/games not /var/lib/games.
  * Standards version 3.5.0.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Feb 2001 15:00:52 +1100

mirrormagic (2.0.0-1) unstable; urgency=low

  * New upstream version.  No more Wizard :(  (Closes: #81449)
  * Compiled with SDL, providing full screen mode and better sound.
  * I'm now an official maintainer.  Thanks for the sponsoring, Joop!

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jan 2001 22:29:19 +1100

mirrormagic (1.3-24) frozen unstable; urgency=low

  * Im am sponsoring this package on behalf of Drew Parsons.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 25 Aug 2000 09:14:51 +0200

mirrormagic (1.3-23) frozen unstable; urgency=low

  * New maintainer: Drew Parsons

 -- Drew Parsons <dparsons@emerall.com>  Wed, 23 Aug 2000 00:16:14 -0700

mirrormagic (1.3-22) frozen unstable; urgency=low

  * Minor security fix: fixed world-writable files in score directory.
    (Closes: #57742)
    - touch RAY.names and RAY.score and fixup perms in postinst
    - changed chmod() calls to not set world write bits

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Feb 2000 11:10:35 -0800

mirrormagic (1.3-21) unstable; urgency=low

  * Updated homepage in copyright file.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Jan 2000 16:21:43 -0800

mirrormagic (1.3-20) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 13:32:37 -0800

mirrormagic (1.3-19) unstable; urgency=low

  * Decreased postinst verbosity.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Sep 1999 15:43:47 -0700

mirrormagic (1.3-18) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Sep 1999 01:19:38 -0700

mirrormagic (1.3-17) unstable; urgency=low

  * Reupload with full souce - it's now GPL'd and the installer seems to
    have a problem with moving it out of non-free unless I reupload the source.

 -- Joey Hess <joeyh@debian.org>  Sat, 20 Feb 1999 13:24:34 -0800

mirrormagic (1.3-16) unstable; urgency=low

  * Now GPL'd.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Feb 1999 14:41:24 -0800

mirrormagic (1.3-15) unstable; urgency=low

  * Build with newest debhelper to change how sgid binary is registered.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Oct 1998 21:55:17 -0800

mirrormagic (1.3-14) unstable; urgency=low

  * Removed icon=none from menu file.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Aug 1998 14:26:39 -0700

mirrormagic (1.3-13) frozen unstable; urgency=low

  * Reupload with .orig.tar.gz to satisfy the installer. This belongs in
    frozen becuase the only change in it vs. the version currently in frozen
    is a fix to bug #20101.

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Mar 1998 12:24:10 -0800

mirrormagic (1.3-12) frozen unstable; urgency=low

  * Fixed man page typos (#20101).

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Mar 1998 12:58:12 -0800

mirrormagic (1.3-11) unstable; urgency=low

  * Fixed typo in postinst (#19608).
  * Wrote a brief man page for mirrormagic.
  * RAY.level is no longer a conffile, it is managed by the postinst and
    postrm.
  * Delete all of /var/lib/games/mirrormagic on purge.
  * Install CHANGES as changelog.gz

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Mar 1998 17:14:03 -0800

mirrormagic (1.3-10) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Feb 1998 14:24:40 -0800

mirrormagic (1.3-9) unstable; urgency=low

  * Reupload in non-free.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Jan 1998 12:28:22 -0500

mirrormagic (1.3-8) unstable; urgency=low

  * Reupload.

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Dec 1997 12:19:59 -0500

mirrormagic (1.3-7) unstable; urgency=low

  * Applied patch for 64 bit.
  * Use debhelper.
  * Removed shlibs.local file that is no longer needed.
  * Re-compress xpm files, seems to work again now (I assume a shared
    library was fixed..)

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Dec 1997 14:51:52 -0500

mirrormagic (1.3-6) unstable; urgency=low

  * Libc6.
  * Uncompress some .xpm files that mirrormagic cannot find now otherwise
    (Why?)
  * Use shlibs.local file to override broken xpm4g shlibs file.
  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Sep 1997 13:45:00 -0400

mirrormagic (1.3-5) unstable; urgency=low

  * Updated to menu-1 format, moved menu entry out of Apps into Games.
  * Rebuilt to fix name of upstream changelog (#9649).
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@debian.org>  Fri, 9 May 1997 12:35:35 -0400

mirrormagic (1.3-4) unstable; urgency=low

  * Added a menu file.
  * Added dependancy on xpm4.7
  * Routine update of debian/rules:
    Use debmake.
    New email address.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Dec 1996 16:01:50 -0500

mirrormagic (1.3-3) unstable; urgency=low

  * New maintainer: me, Joey Hess.
  * Changed to new source format.
  * Now it registers itself with fvwm2 via install-fvwm2menu.

 -- Joey Hess <joeyh@debian.org>  Sat, 5 Oct 1996 14:00:37 -0400

1.3-2:
 960401
 * Removed Package_Revision from control file.
 * Removed -m486 compiler option.
 * Added Architecture field to control file.
 * Made level database as a conffile.
 * Fixed permissions and ownerships.
 * ELF binary.

1.3-1:
 951107 Andrew Howell <andrew@it.com.au>
 * Upgraded to latest version.

1.2-0: 
 * added Debian GNU/Linux package maintenance system files

Local variables:
mode: debian-changelog
End:
